<?php
if (session_status() === PHP_SESSION_NONE) {
    session_start();
}

$str_data = file_get_contents("./api/server.json");
$data = json_decode($str_data, true);

if (isset($_POST['id'])) {
    $serverId = (int)$_POST['id'];

    // Remove the server with the specified id
    unset($data['files'][$serverId - 1]);

    // Reindex the array
    $data['files'] = array_values($data['files']);

    // Save the updated configuration to server.json
    $newJsonData = json_encode($data, JSON_PRETTY_PRINT);
    file_put_contents("./api/server.json", $newJsonData);
}
?>
