<?php
$jsondata = file_get_contents('./api/zyx.json');
$data = json_decode($jsondata, true);
$json = $data['player'];
$message = '<div class="alert alert-primary" id="flash-msg"><h4><i class="icon fa fa-check"></i>Items Updated!</h4></div>';

if (isset($_POST['submit'])) {
	$jsonData = file_get_contents('./api/zyx.json');
	$arrayData = json_decode($jsonData, true);
	$replacementData = [
		'player' => ['live_tv' => $_POST['live_tv'], 'vod' => $_POST['vod'], 'series' => $_POST['series'], 'catch_up' => $_POST['catch_up']]
	];
	$newArrayData = array_replace_recursive($arrayData, $replacementData);
	$newJsonData = json_encode($newArrayData, JSON_PRETTY_PRINT);
	file_put_contents('./api/zyx.json', $newJsonData);
	header('Location: player.php?message=' . $message);
}

include 'includes/header.php';
echo ' <!-- Begin Page Content -->' . "\n";
echo '        <div class="container-fluid">' . "\n";
echo "\n";

if (isset($_GET['message'])) {
	echo $_GET['message'];
}

echo '          <!-- Page Heading -->' . "\n";
echo '          <h1 class="h3 mb-1 text-gray-800">Player Settings</h1>' . "\n";
echo '         ' . "\n";
echo '          <!-- Content Row -->' . "\n";
echo '          <div class="row">' . "\n";
echo "\n";
echo '            <!-- Second Column -->' . "\n";
echo '            <div class="col-lg-12">' . "\n";
echo "\n";
echo '              <!-- Background Gradient Utilities -->' . "\n";
echo '              <div class="card border-left-primary shadow h-100 card shadow mb-4">' . "\n";
echo '                <div class="card-header py-3">' . "\n";
echo '                <h6 class="m-0 font-weight-bold text-primary"><i class="fa fa-play"></i> Select Player </h6>' . "\n";
echo '                </div>' . "\n";
echo '                <div class="card-body">' . "\n";
echo "\t\t\t" . '        <form method="post">' . "\n";
echo "\t\t\t\t\t\t\t" . '<div class="form-group ">' . "\n";
echo '                            <label class="control-label requiredField" for="live_tv" >' . "\n";
echo '                                <strong> Live Player</strong>' . "\n";
echo '                            </label>' . "\n";
echo '                            <p' . "\t\t\n";
echo "\t\t\t\t\t\t\t" . '<label>VLC ' . "\n";
echo "\t\t\t\t\t\t\t" . '<input type="radio" name="live_tv" value="VLC"  ' . "\n";

if ($json['live_tv'] == 'VLC') {
	echo 'checked=\\"checked\\"';
}

echo "\t" . '>' . "\n";
echo "\t\t\t\t\t\t\t" . '</label>' . "\n";
echo "\t\t\t\t\t\t\t" . '<label>Exo Player ' . "\n";
echo "\t\t\t\t\t\t\t" . '<input type="radio" name="live_tv" value="Exo Player" ' . "\n";

if ($json['live_tv'] == 'Exo Player') {
	echo 'checked=\\"checked\\"';
}

echo "\t" . '>' . "\n";
echo "\t\t\t\t\t\t\t" . '</label>' . "\n";
echo "\t\t\t\t\t\t\t" . '<label>Purple Player ' . "\n";
echo "\t\t\t\t\t\t\t" . '<input type="radio" name="live_tv" value="IJK Player" ' . "\n";

if ($json['live_tv'] == 'IJK Player') {
	echo 'checked=\\"checked\\"';
}
echo "\t\t\t\t\t\t\t" . '  ' . "\n";
echo "\t\t\t\t\t\t\t" . '</label>' . "\n";
echo "\t\t\t\t\t\t\t" . '</div>';
echo ' <div class="form-group ">' . "\n";
echo '                            <label class="control-label requiredField" for="vod" >' . "\n";
echo '                                <strong> VOD Player</strong>' . "\n";
echo '                            </label>' . "\n";
echo '                            <p' . "\t\t\n";
echo "\t\t\t\t\t\t\t" . '<label>VLC  ' . "\n";
echo "\t\t\t\t\t\t\t" . '<input type="radio" name="vod" value="VLC"  ' . "\n";

if ($json['vod'] == 'VLC') {
	echo 'checked=\\"checked\\"';
}

echo "\t" . '>' . "\n";
echo "\t\t\t\t\t\t\t" . '</label>' . "\n";
echo "\t\t\t\t\t\t\t" . '<label>Exo Player ' . "\n";
echo "\t\t\t\t\t\t\t" . '<input type="radio" name="vod" value="Exo Player" ' . "\n";

if ($json['vod'] == 'Exo Player') {
	echo 'checked=\\"checked\\"';
}

echo "\t" . '>' . "\n";
echo "\t\t\t\t\t\t\t" . '</label>' . "\n";
echo "\t\t\t\t\t\t\t" . '<label>Purple Player ' . "\n";
echo "\t\t\t\t\t\t\t" . '<input type="radio" name="vod" value="IJK Player" ' . "\n";

if ($json['vod'] == 'IJK Player') {
	echo 'checked=\\"checked\\"';
}

echo "\t\t\t\t\t\t\t" . '  ' . "\n";
echo "\t\t\t\t\t\t\t" . '</label>' . "\n";
echo "\t\t\t\t\t\t\t" . '</div>';
echo ' <div class="form-group ">' . "\n";
echo '                            <label class="control-label requiredField" for="series" >' . "\n";
echo '                                <strong> Series Player</strong>' . "\n";
echo '                            </label>' . "\n";
echo '                            <p' . "\t\t\n";
echo "\t\t\t\t\t\t\t" . '<label>VLC  ' . "\n";
echo "\t\t\t\t\t\t\t" . '<input type="radio" name="series" value="VLC"  ' . "\n";

if ($json['series'] == 'VLC') {
	echo 'checked=\\"checked\\"';
}

echo "\t" . '>' . "\n";
echo "\t\t\t\t\t\t\t" . '</label>' . "\n";
echo "\t\t\t\t\t\t\t" . '<label>Exo Player ' . "\n";
echo "\t\t\t\t\t\t\t" . '<input type="radio" name="series" value="Exo Player" ' . "\n";

if ($json['series'] == 'Exo Player') {
	echo 'checked=\\"checked\\"';
}

echo "\t" . '>' . "\n";
echo "\t\t\t\t\t\t\t" . '</label>' . "\n";
echo "\t\t\t\t\t\t\t" . '<label>Purple Player ' . "\n";
echo "\t\t\t\t\t\t\t" . '<input type="radio" name="series" value="IJK Player" ' . "\n";

if ($json['series'] == 'IJK Player') {
	echo 'checked=\\"checked\\"';
}

echo "\t\t\t\t\t\t\t" . '  ' . "\n";
echo "\t\t\t\t\t\t\t" . '</label>' . "\n";
echo "\t\t\t\t\t\t\t" . '</div>';
echo ' <div class="form-group ">' . "\n";
echo '                            <label class="control-label requiredField" for="catch_up" >' . "\n";
echo '                                <strong> TV Guide Player</strong>' . "\n";
echo '                            </label>' . "\n";
echo '                            <p' . "\t\t\n";
echo "\t\t\t\t\t\t\t" . '<label>VLC  ' . "\n";
echo "\t\t\t\t\t\t\t" . '<input type="radio" name="catch_up" value="VLC"  ' . "\n";

if ($json['catch_up'] == 'VLC') {
	echo 'checked=\\"checked\\"';
}

echo "\t" . '>' . "\n";
echo "\t\t\t\t\t\t\t" . '</label>' . "\n";
echo "\t\t\t\t\t\t\t" . '<label>Exo Player ' . "\n";
echo "\t\t\t\t\t\t\t" . '<input type="radio" name="catch_up" value="Exo Player" ' . "\n";

if ($json['catch_up'] == 'Exo Player') {
	echo 'checked=\\"checked\\"';
}

echo "\t" . '>' . "\n";
echo "\t\t\t\t\t\t\t" . '</label>' . "\n";
echo "\t\t\t\t\t\t\t" . '<label>Purple Player ' . "\n";
echo "\t\t\t\t\t\t\t" . '<input type="radio" name="catch_up" value="IJK Player" ' . "\n";

if ($json['catch_up'] == 'IJK Player') {
	echo 'checked=\\"checked\\"';
}

echo "\t\t\t\t\t\t\t" . '  ' . "\n";
echo "\t\t\t\t\t\t\t" . '</label>' . "\n";
echo "\t\t\t\t\t\t\t" . '</div>';
echo "\t\t" . '<div class="form-group">' . "\n";
echo "\t\t\t" . '<div>' . "\n";
echo '                        <button class="btn btn-success btn-icon-split" name="submit" type="submit">' . "\n";
echo '                        <span class="icon text-white-50"><i class="fas fa-check"></i></span><span class="text">Submit</span>' . "\n";
echo '                        </button>' . "\n";
echo "\t\t\t" . '</div>' . "\n";
echo "\t\t" . '</div>' . "\n";
echo "\t" . '</form>' . "\n";
echo '</div>' . "\n";
echo '            </div>' . "\n";
echo '            </div>' . "\n";
echo '            </div>' . "\n";
echo '            </div>' . "\n";
include 'includes/footer.php';
echo "\t" . '<script> ' . "\n";
echo "\t\t" . '$(document).ready(function () {' . "\n";
echo "\t\t" . '    $("#flash-msg").delay(3000).fadeOut("slow");' . "\n";
echo "\t\t" . '});' . "\n";
echo "\t" . '</script>' . "\n";
echo '</body>' . "\n";
echo "\n";
echo '</html>';

?>